Skip to main content
POST
/
applications
/
{application}
/
environments
Create environment
curl --request POST \
  --url https://cloud.laravel.com/api/applications/{application}/environments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "branch": "<string>",
  "name": "<string>",
  "cluster_id": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "type": "environments",
    "links": {
      "self": {
        "href": "<string>",
        "rel": "<string>",
        "describedby": "<string>",
        "title": "<string>",
        "type": "<string>",
        "hreflang": "<string>",
        "meta": {}
      }
    },
    "attributes": {
      "name": "<string>",
      "slug": "<string>",
      "status": "deploying",
      "created_from_automation": true,
      "vanity_domain": "<string>",
      "php_major_version": "8.2",
      "build_command": "<string>",
      "node_version": "20",
      "deploy_command": "<string>",
      "uses_octane": true,
      "uses_push_to_deploy": true,
      "uses_deploy_hook": true,
      "environment_variables": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "network_settings": {
        "cache": {
          "strategy": "<string>"
        },
        "response_headers": {
          "frame": "<string>",
          "content_type": "<string>",
          "hsts": {
            "max_age": 123,
            "include_subdomains": true,
            "preload": true
          }
        },
        "firewall": {
          "bot_categories": [
            "academic_research"
          ],
          "rate_limit": {
            "429": true,
            "level": "challenge",
            "per_minute": 100,
            "4xx": true
          },
          "under_attack_mode_started_at": "<string>",
          "block_path": true
        },
        "content_converter": true
      },
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "application": {
        "data": {
          "type": "applications",
          "id": "<string>"
        }
      },
      "branch": {
        "data": {
          "type": "branches",
          "id": "<string>"
        }
      },
      "deployments": {
        "data": [
          {
            "type": "deployments",
            "id": "<string>"
          }
        ]
      },
      "currentDeployment": {
        "data": {
          "type": "deployments",
          "id": "<string>"
        }
      },
      "domains": {
        "data": [
          {
            "type": "domains",
            "id": "<string>"
          }
        ]
      },
      "primaryDomain": {
        "data": {
          "type": "domains",
          "id": "<string>"
        }
      },
      "instances": {
        "data": [
          {
            "type": "instances",
            "id": "<string>"
          }
        ]
      },
      "database": {
        "data": {
          "type": "databaseSchemas",
          "id": "<string>"
        }
      },
      "cache": {
        "data": {
          "type": "caches",
          "id": "<string>"
        }
      },
      "buckets": {
        "data": [
          {
            "type": "filesystems",
            "id": "<string>"
          }
        ]
      },
      "websocketApplication": {
        "data": {
          "type": "websocketApplications",
          "id": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "applications",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "region": "us-east-2",
        "slack_channel": "<string>",
        "avatar_url": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "repository": {
          "full_name": "<string>",
          "default_branch": "<string>"
        }
      },
      "relationships": {
        "repository": {
          "data": {
            "type": "repositories",
            "id": "<string>"
          }
        },
        "organization": {
          "data": {
            "type": "organizations",
            "id": "<string>"
          }
        },
        "environments": {
          "data": [
            {
              "type": "environments",
              "id": "<string>"
            }
          ]
        },
        "deployments": {
          "data": [
            {
              "type": "deployments",
              "id": "<string>"
            }
          ]
        },
        "defaultEnvironment": {
          "data": {
            "type": "environments",
            "id": "<string>"
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

application
string
required

The application identifier

Body

application/json
branch
string
required
name
string
required
Required string length: 1 - 40
Pattern: ^[A-Za-z0-9 _-]+$
cluster_id
string | null

The identifier of a dedicated cluster to deploy to. Only fill it if your organization has a dedicated cluster and you want to use it for this environment.

Response

EnvironmentResource

data
EnvironmentResource · object
required
included
(ApplicationResource · object | BranchResource · object | DeploymentResource · object | DomainResource · object | InstanceResource · object | DatabaseSchemaResource · object | CacheResource · object | FilesystemResource · object | WebsocketApplicationResource · object)[]